<?php
include("_header.php");

# Wenn nicht eingeloggt, auf Startseite umleiten
if(!isset($_SESSION['logonok'])) {
header("Location: index.php");
exit;
}

getardudata();

# Wenn das Formular gespeichert wird
if(isset($_POST['submit'])) {

	# Checkboxen auf 0 setzen, wenn sie nicht geaendert wurden
	for($i = 1; $i <= $rcdosenzahl; $i++) if(!isset($_POST['rc'.$i])) $_POST['rc'.$i] = 0;

	# Prfen ob Dosen geschaltet wurden, wenn ja, nderungen an Ardu bermitteln
	for($i = 0; $i <= ($rcdosenzahl-1); $i ++) {
		// Wenn sich die Daten vom Arduino von den Daten des letzten Formulars unterscheiden
		if($ardudata[$i] != $_POST['rc'.($i+1)]) {

			// Wenn die Dose "AN" sein soll
			if($_POST['rc'.($i+1)] == 1) {
			rcON($i);
			// PHP-Info zu der Dose aktualisieren, ohne alle Daten neu vom Ardu zu holen
			$ardudata[$i] = 1;
			}

			// Wenn die Dose "AUS" sein soll
			if($_POST['rc'.($i+1)] == 0) {
			rcOFF($i);
			// PHP-Info zu der Dose aktualisieren, ohne alle Daten neu vom Ardu zu holen
			$ardudata[$i] = 0;
			}
			// Den aktuellen Wert der Result-Page des Arduino holen
			getresult();
		}
	}
}

# Alle Steckdosen ausschalten
if(isset($_POST['alloff'])) {
	rcALLOFF();
	#triggerRC("alloff");
	# Daten von Ardu erneut einlesen, um aktuelle Dosenschaltung zu erhalten
	getardudata();
}


?>




<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta content="yes" name="apple-mobile-web-app-capable" />
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<meta content="minimum-scale=1.0, width=device-width, maximum-scale=0.6667, user-scalable=no" name="viewport" />
<link href="css/style.css" rel="stylesheet" media="screen" type="text/css" />
<script src="javascript/functions.js" type="text/javascript"></script>
<title>Arduino WebConsole</title>
<meta content="keyword1,keyword2,keyword3" name="keywords" />
<meta content="Description of your page" name="description" />
</head>

<body>

<div id="topbar">
	<form action="rccontrol.php" method="post">
	<div id="title">ArduWebC</div>
	<div id="leftnav"><a href="index2.php"><img alt="home" src="images/home.png" /></a></div>
	<div id="rightbutton"><a href="info.php">Info</a></div>
</div>

<div id="content">
	<span class="graytitle">RC-Steckdosen</span>

	<ul class="pageitem">
		<li class="checkbox"><span class="name">Steckdose 1</span><input name="rc1" value="1" type="checkbox" <?php if($ardudata[0]==1) echo "checked"; ?> /></li>
		<li class="checkbox"><span class="name">Steckdose 2</span><input name="rc2" value="1" type="checkbox" <?php if($ardudata[1]==1) echo "checked"; ?> /></li>
		<li class="checkbox"><span class="name">Steckdose 3</span><input name="rc3" value="1" type="checkbox" <?php if($ardudata[2]==1) echo "checked"; ?> /></li>
		<li class="checkbox"><span class="name">Steckdose 4</span><input name="rc4" value="1" type="checkbox" <?php if($ardudata[3]==1) echo "checked"; ?> /></li>
		<li class="checkbox"><span class="name">Steckdose 5</span><input name="rc5" value="1" type="checkbox" <?php if($ardudata[4]==1) echo "checked"; ?> /></li>
		<li class="checkbox"><span class="name">Steckdose 6</span><input name="rc6" value="1" type="checkbox" <?php if($ardudata[5]==1) echo "checked"; ?> /></li>
		<li class="checkbox"><span class="name">Steckdose 7</span><input name="rc7" value="1" type="checkbox" <?php if($ardudata[6]==1) echo "checked"; ?> /></li>
		<li class="checkbox"><span class="name">Steckdose 8</span><input name="rc8" value="1" type="checkbox" <?php if($ardudata[7]==1) echo "checked"; ?> /></li>
		<li class="button"><input name="alloff" type="submit" value="Alle ausschalten"/></li>
	</ul>
	<ul class="pageitem">
		<li class="button"><input name="submit" type="submit" value="Speichern"/></li>
		</form>
	</ul>

</div>
<div id="footer">

<?php
# Gespeichert-Box bei Formularversand anzeigen
if(isset($_POST['submit']) || isset($_POST['alloff']) ) {
?>
	<ul class="pageitem">
		<li class="textbox">RC-Dosen Status: <?php echo $statusmsg; $statusmsg = ""; ?></li>
	</ul>
<?php
}
?>

</div>

</body>

</html>